This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 432214 - ftrace Exception in thread "main" java.lang.NullPointerException
ftrace Exception in thread "main" java.lang.NullPointerException
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: andrew.cagney
Fedora Extras Quality Assurance
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 18:33 EST by Andrew Farris
Modified: 2010-04-20 09:31 EDT (History)
0 users

See Also:
Fixed In Version: frysk-0.4-26.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-20 09:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Farris 2008-02-09 18:33:50 EST
Description of problem:
Exception in thread "main" java.lang.NullPointerException attempting to debug
firefox.

Version-Release number of selected component (if applicable):
frysk-0.0.1.2008.01.18.rh1-3.fc9.i386
firefox-3.0-0.beta2.16.nightly20080206.fc9.i386


> ftrace firefox
12654.12654 attached /bin/bash
Exception in thread "main" java.lang.NullPointerException
   at frysk.ftrace.Ftrace$MySyscallObserver.updateSyscallExit(ftrace)
   at frysk.proc.live.LinuxPtraceTask.notifySyscallExit(ftrace)
   at frysk.proc.live.LinuxPtraceTaskState$Running.handleSyscalledEvent(ftrace)
   at frysk.proc.live.LinuxPtraceTask.processSyscalledEvent(ftrace)
   at frysk.proc.live.LinuxWaitBuilder.syscallEvent(ftrace)
   at frysk.sys.Wait.wait(ftrace)
   at frysk.sys.Wait.waitAll(ftrace)
   at frysk.event.WaitEventLoop.block(ftrace)
   at frysk.event.EventLoop.runEventLoop(ftrace)
   at frysk.event.EventLoop.run(ftrace)
   at frysk.ftrace.Ftrace.trace(ftrace)
   at frysk.bindir.ftrace.run(ftrace)
   at frysk.bindir.ftrace.main(ftrace)
Comment 1 Andrew Farris 2008-02-09 18:44:15 EST
A backtrace.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7f416d0 (LWP 12837)]
0x0814c8d2 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
1488	javax/swing/text/JTextComponent.java: No such file or directory.
	in javax/swing/text/JTextComponent.java
(gdb) t a a bt

Thread 2 (Thread 0xb7c66b90 (LWP 12840)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x006bf085 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x02defbc5 in _Jv_CondWait (cv=Could not find the frame base for
"_Jv_CondWait(_Jv_ConditionVariable_t*, _Jv_Mutex_t*, long long, int)".
) at ../../../libjava/posix-threads.cc:212
#3  0x02dd14ec in gnu::gcj::runtime::FinalizerThread::run (this=Could not find
the frame base for "void gnu::gcj::runtime::FinalizerThread::run()".
)
    at ../../../libjava/gnu/gcj/runtime/natFinalizerThread.cc:57
#4  0x02de5e13 in _Jv_ThreadRun (thread=<value optimized out>)
    at ../../../libjava/java/lang/natThread.cc:335
#5  0x02def5b2 in really_start (x=<value optimized out>)
    at ../../../libjava/posix-threads.cc:616
#6  0x0383660e in GC_start_routine (arg=<value optimized out>)
    at ../../../boehm-gc/pthread_support.c:1301
#7  0x006bb51f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x005f2b7e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7f416d0 (LWP 12837)):
#0  0x0814c8d2 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#1  0x081b9b81 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#2  0x081befe2 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#3  0x081b783b in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#4  0x081c0c66 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#5  0x082bebc8 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#6  0x082bf253 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#7  0x0825ac23 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#8  0x0813491f in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#9  0x08130c40 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#10 0x08130f5d in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
---Type <return> to continue, or q <return> to quit---
#11 0x0814da25 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#12 0x0810792b in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#13 0x08107a4b in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#14 0x02dd2b43 in gnu::java::lang::MainThread::call_main (this=<value optimized
out>)
    at ../../../libjava/gnu/java/lang/natMainThread.cc:54
#15 0x02e44049 in gnu.java.lang.MainThread.run()void (this=<value optimized out>)
    at gnu/java/lang/MainThread.java:108
#16 0x02de5e13 in _Jv_ThreadRun (thread=<value optimized out>)
    at ../../../libjava/java/lang/natThread.cc:335
#17 0x02d934f3 in _Jv_RunMain (vm_args=<value optimized out>, 
    klass=<value optimized out>, name=<value optimized out>, argc=<value
optimized out>, 
    argv=<value optimized out>, is_jar=<value optimized out>)
    at ../../../libjava/prims.cc:1789
#18 0x02d936b4 in _Jv_RunMain (klass=Could not find the frame base for
"_Jv_RunMain(java::lang::Class*, char const*, int, char const**, bool)".
) at ../../../libjava/prims.cc:1814
#19 0x02d9373b in JvRunMain (klass=Could not find the frame base for "JvRunMain".
) at ../../../libjava/prims.cc:1820
#20 0x080f46d1 in javax::swing::text::JTextComponent::setUI ()
    at javax/swing/text/JTextComponent.java:1488
#21 0x08791ba0 in ?? ()
#22 0x00000002 in ?? ()
#23 0xbfe48684 in ?? ()
#24 0xbfe48600 in ?? ()
#25 0x0067cff4 in ?? () from /lib/libc.so.6
#26 0x00000000 in ?? ()
Comment 2 Bug Zapper 2008-05-14 01:07:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:32:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 andrew.cagney 2009-06-19 11:02:30 EDT
Tracking rawhide
Comment 5 Fedora Update System 2010-03-30 16:12:04 EDT
frysk-0.4-26.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/frysk-0.4-26.fc13
Comment 6 Fedora Update System 2010-03-30 16:12:17 EDT
frysk-0.4-26.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/frysk-0.4-26.fc12
Comment 7 Fedora Update System 2010-03-31 21:43:50 EDT
frysk-0.4-26.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update frysk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/frysk-0.4-26.fc12
Comment 8 Fedora Update System 2010-04-01 15:32:11 EDT
frysk-0.4-26.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update frysk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/frysk-0.4-26.fc13
Comment 9 Fedora Update System 2010-04-20 09:10:51 EDT
frysk-0.4-26.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-04-20 09:30:48 EDT
frysk-0.4-26.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.